# class Log

#### package haxe

Available on all platforms

Log primarily provides the `trace()` method, which is invoked upon a call to `trace()` in Haxe code.

### Static methods

###

`staticdynamic trace (v:Dynamic, ?infos:PosInfos):Void`

Outputs `v` in a platform-dependent way.

The second parameter `infos` is injected by the compiler and contains information about the position where the `trace()` call was made.

This method can be rebound to a custom function:

    var oldTrace = haxe.Log.trace; // store old function
    haxe.Log.trace = function(v, ?infos) {
      // handle trace
    }
    ...
    haxe.Log.trace = oldTrace;

If it is bound to null, subsequent calls to `trace()` will cause an exception.